<?php

namespace App\Http\Livewire\Home;

use Illuminate\Support\Facades\DB;
use Livewire\Component;
use App\Models\Registro;

class IndicadorRegistros extends Component
{
    public $cout_registros;
    public $cout_registros_activas;
    public $cout_registros_inactivas;

    public function render()
    {
        $this->cout_registros = Registro::All()->count();
        $this->cout_registros_activas =  DB::table('registros')->where('registros.activo', '=', '1')->count();
        $this->cout_registros_inactivas =  DB::table('registros')->where('registros.activo', '=', '2')->count();
        return view('livewire.home.indicador-registros');
    }
}
